<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net8.0-windows</TargetFramework>
	<AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
    <OutputType>Exe</OutputType>
    <LangVersion>10</LangVersion>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <PreBuildEvent>npm run stop</PreBuildEvent>
    <PostBuildEvent>npm run start</PostBuildEvent>
    <AssemblyTitle>ClipTrimDotNet</AssemblyTitle>
    <Product>ClipTrimDotNet</Product>
    <Copyright>Copyright ©  2020</Copyright>
    <AssemblyVersion>1.0.0.0</AssemblyVersion>
    <FileVersion>1.0.0.0</FileVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug\com.michal-courson.cliptrim.sdPlugin\</OutputPath>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\ClipTrimDotNet.sdPlugin\</OutputPath>
  </PropertyGroup>
  <ItemGroup>
    <None Remove="Images\app_icon.png" />
    <None Remove="Images\back.png" />
    <None Remove="Images\category_icon.png" />
    <None Remove="Images\collection.png" />
    <None Remove="Images\collection_icon.png" />
    <None Remove="Images\page_nav.png" />
    <None Remove="Images\page_nav_icon.png" />
    <None Remove="Images\player.png" />
    <None Remove="Images\player_icon.png" />
    <None Remove="Images\record.png" />
    <None Remove="Images\record_icon.png" />
    <None Remove="manifest.json" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="CommandLineParser" Version="2.9.1" />
    <PackageReference Include="Microsoft.Bcl.AsyncInterfaces" Version="8.0.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.Logging" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.Options" Version="10.0.2" />
    <PackageReference Include="Microsoft.Extensions.Primitives" Version="10.0.2" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.4" />
    <PackageReference Include="NLog" Version="6.0.5" />
    <PackageReference Include="SocketIOClient" Version="4.0.0.2" />
    <PackageReference Include="SocketIOClient.Common" Version="4.0.0" />
    <PackageReference Include="SocketIOClient.Serializer" Version="4.0.0.1" />
    <PackageReference Include="SocketIOClient.Serializer.NewtonsoftJson" Version="4.0.0.1" />
    <PackageReference Include="StreamDeck-Tools" Version="6.3.2" />
    <PackageReference Include="System.Diagnostics.DiagnosticSource" Version="10.0.2" />
    <PackageReference Include="System.Drawing.Common" Version="9.0.10" />
    <PackageReference Include="System.IO.Pipelines" Version="10.0.2" />
    <PackageReference Include="System.Runtime.CompilerServices.Unsafe" Version="6.1.2" />
    <PackageReference Include="System.Security.AccessControl" Version="6.0.1" />
    <PackageReference Include="System.Text.Encodings.Web" Version="10.0.2" />
    <PackageReference Include="System.Text.Json" Version="10.0.2" />
    <PackageReference Include="System.Configuration.ConfigurationManager" Version="10.0.3" />
    <PackageReference Include="CoreWCF.Primitives" Version="1.8.0" />
    <PackageReference Include="CoreWCF.ConfigurationManager" Version="1.8.0" />
    <PackageReference Include="CoreWCF.Http" Version="1.8.0" />
    <PackageReference Include="CoreWCF.WebHttp" Version="1.8.0" />
    <PackageReference Include="CoreWCF.NetTcp" Version="1.8.0" />
  </ItemGroup>
  <ItemGroup>
    <None Update="DialLayout.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Content Include="!!README!!.txt" />
    <Content Include="Images\app_icon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\back.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\category_icon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\collection.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\collection_icon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\page_nav.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\page_nav_icon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\player_icon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Images\record.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
	  <Content Include="Images\player.png">
		  <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </Content>
	  <Content Include="Images\record_icon.png">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </Content>
    <Content Include="manifest.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="package.json" />
    <Content Include="PropertyInspector\profile_swticher.html">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="PropertyInspector\file_player.html">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
</Project>